%define _name   debugger 
%define _exe    edb

Name:           edb-debugger
Summary:        A free OllyDbg like debugger
Version:        0.9.18
Release:        %mkrel 9
Source0:        http://www.codef00.com/projects/%{_name}-%{version}.tgz
URL:            http://www.codef00.com/projects

Group:          Development/Other
License:        GPLv2 

BuildRequires: qt4-devel >= 4.5
BuildRequires: boost-devel >= 1.35
BuildRequires: imagemagick
ExclusiveArch: %{ix86} x86_64


%description
One of the main goals of this debugger is modularity. 
The interface is written in Qt4 and is therefore source portable 
to many platforms. The debugger core is a plugin and the platform 
specific code is isolated to just a few files, porting to a new OS 
would require porting these few files and implementing a plugin 
which implements the DebuggerCoreInterface interface. Also, 
because the plugins are based on the QPlugin API, and do their work 
through the DebuggerCoreInterface object, they are almost always 
portable with just a simple recompile.
The disassembly engine is my edisassm project. I feel that this 
disassembler is mature and works well. It is worth noting that the 
current version of edb has temporarily dropped AT&T syntax support. 
Once this is implemented in edisassm, it will return.

%prep 
%setup -q -n %{_name}

sed -i -e 's/\.uic/uic/' -e 's/\.moc/moc/' -e 's/\.rcc/rcc/' src/src.pro
sed -i -e 's/\.ui/ui/' -e 's/\.moc/moc/' -e 's/\.rcc/rcc/' plugins/plugins.pri

%build
%{qmake_qt4} DEFAULT_PLUGIN_PATH="%{_libdir}/%{_exe}/"
%make

%install
make install INSTALL_ROOT=%{buildroot}%{_prefix}
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_bindir},%{_libdir}}/
install -c -m 0755 src/images/edb48-logo.png "%{buildroot}%{_liconsdir}/%{_exe}.png"

convert src/images/edb48-logo.png -resize 32x32 %{buildroot}%{_iconsdir}/%{_exe}.png
convert src/images/edb48-logo.png -resize 16x16 %{buildroot}%{_miconsdir}/%{_exe}.png

desktop-file-install --vendor="" \
		     --dir %{buildroot}%{_datadir}/applications \
                     --remove-category="Qt" \
		     %{_exe}.desktop

%files
%{_bindir}/%{_exe}
%{_libdir}/%{_exe}/*.so
%{_datadir}/applications/%{_exe}.desktop
%{_liconsdir}/%{_exe}.png
%{_miconsdir}/%{_exe}.png
%{_iconsdir}/%{_exe}.png



%changelog
* Mon Jul 11 2016 pterjan <pterjan> 0.9.18-9.mga6
+ Revision: 1041175
- Restrict to supported arches

* Fri Feb 05 2016 umeabot <umeabot> 0.9.18-8.mga6
+ Revision: 938696
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.18-7.mga5
+ Revision: 747338
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.18-6.mga5
+ Revision: 678955
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.18-5.mga4
+ Revision: 529391
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 0.9.18-4.mga4
+ Revision: 451766
- rebuild for new boost

* Fri Jan 11 2013 umeabot <umeabot> 0.9.18-3.mga3
+ Revision: 349489
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 matteo <matteo> 0.9.18-2.mga3
+ Revision: 283947
- fixed install root
- spec file reviewed

* Mon Feb 06 2012 matteo <matteo> 0.9.18-1.mga2
+ Revision: 205392
- version upgrade

* Thu Jul 14 2011 matteo <matteo> 0.9.17-1.mga2
+ Revision: 124137
- edb-debugger.spec: added postun section
- edb-debugger.spec: fixed plugins path
- imported package edb-debugger


* Thu Jul 07 2011 Matteo Pasotti <pasotti.matteo@gmail.com> %%{version}-1
- create spec 

